=head1 NAME

Gtk2::Pango::Context

=head1 HIERARCHY

  Glib::Object
  +----Gtk2::Pango::Context


=head1 METHODS

=head2 direction = $context-E<gt>B<get_base_dir> 

=over

=back

=head2 $context-E<gt>B<set_base_dir> ($direction)

=over

=over

=item * $direction (Gtk2::Pango::Direction) 

=back

=back

=head2 fontdescription = $context-E<gt>B<get_font_description> 

=over

=back

=head2 $context-E<gt>B<set_font_description> ($desc)

=over

=over

=item * $desc (Gtk2::Pango::FontDescription) 

=back

=back

=head2 fontmap = $context-E<gt>B<get_font_map> 

=over

=back

=head2 language = $context-E<gt>B<get_language> 

=over

=back

=head2 $context-E<gt>B<set_language> ($language)

=over

=over

=item * $language (Gtk2::Pango::Language) 

=back

=back

=head2 @families = $context->B<list_families>

=over



=back

=head2 font = $context-E<gt>B<load_font> ($desc)

=over

=over

=item * $desc (Gtk2::Pango::FontDescription or undef) 

=back

=back

=head2 fontset = $context-E<gt>B<load_fontset> ($desc, $language)

=over

=over

=item * $desc (Gtk2::Pango::FontDescription) 

=item * $language (Gtk2::Pango::Language or undef) 

=back

=back

=head2 matrix or undef = $context-E<gt>B<get_matrix> 

=over

=back

=head2 $context-E<gt>B<set_matrix> ($matrix)

=over

=over

=item * $matrix (Gtk2::Pango::Matrix or undef) 

=back

=back

=head2 fontmetrics = $context-E<gt>B<get_metrics> ($desc, $language)

=over

=over

=item * $desc (Gtk2::Pango::FontDescription) 

=item * $language (Gtk2::Pango::Language or undef) 

=back

=back


=head1 ENUMS AND FLAGS

=head2 enum Gtk2::Pango::Direction

=over

=item * 'ltr' / 'PANGO_DIRECTION_LTR'

=item * 'rtl' / 'PANGO_DIRECTION_RTL'

=item * 'ttb-ltr' / 'PANGO_DIRECTION_TTB_LTR'

=item * 'ttb-rtl' / 'PANGO_DIRECTION_TTB_RTL'

=item * 'weak-ltr' / 'PANGO_DIRECTION_WEAK_LTR'

=item * 'weak-rtl' / 'PANGO_DIRECTION_WEAK_RTL'

=item * 'neutral' / 'PANGO_DIRECTION_NEUTRAL'

=back



=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>

=head1 COPYRIGHT

Copyright (C) 2003-2005 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.


=cut

